Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.config.maps
Class Statement

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.config.maps.Statement

All Implemented Interfaces:
  java.io.Serializable

    public class Statement

extends java.lang.Object
implements java.io.Serializable

This class was automatically generated with Castor 1.3rc1, using an XML Schema. $Id: Statement.java,v 1.5 2009/01/19 14:03:03 a130499 Exp $
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es
See Also:
  Serialized Form

Constructor Summary
`Statement()`

Method Summary
`void` | `addConceptMap(ConceptMap vConceptMap)`
`void` | `addConceptMap(int index, ConceptMap vConceptMap)`
`java.util.Enumeration<? extends ConceptMap>` | `enumerateConceptMap()` Method enumerateConceptMap.
`ConceptMap[]` | `getConceptMap()` Method getConceptMap.Returns the contents of the collection in an Array.
`ConceptMap` | `getConceptMap(int index)` Method getConceptMap.
`int` | `getConceptMapCount()` Method getConceptMapCount.
`java.lang.String` | `getMainSchemaNamespace()` Returns the value of field 'mainSchemaNamespace'.
`java.lang.String` | `getMainSchemaPrefix()` Returns the value of field 'mainSchemaPrefix'.
`java.lang.String` | `getMainSchemaURL()` Returns the value of field 'mainSchemaURL'.
`java.lang.String` | `getModuleName()` Returns the value of field 'moduleName'.
`java.lang.String` | `getModuleTitle()` Returns the value of field 'moduleTitle'.
`java.lang.String` | `getName()` Returns the value of field 'name'.
`java.lang.String` | `getRoleID()` Returns the value of field 'roleID'.
`java.lang.String` | `getRoleURI()` Returns the value of field 'roleURI'.
`java.lang.String` | `getStatementID()` Returns the value of field 'statementID'.
`boolean` | `isValid()` Method isValid.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `removeAllConceptMap()`
`boolean` | `removeConceptMap(ConceptMap vConceptMap)` Method removeConceptMap.
`ConceptMap` | `removeConceptMapAt(int index)` Method removeConceptMapAt.
`void` | `setConceptMap(ConceptMap[] vConceptMapArray)`
`void` | `setConceptMap(int index, ConceptMap vConceptMap)`
`void` | `setMainSchemaNamespace(java.lang.String mainSchemaNamespace)` Sets the value of field 'mainSchemaNamespace'.
`void` | `setMainSchemaPrefix(java.lang.String mainSchemaPrefix)` Sets the value of field 'mainSchemaPrefix'.
`void` | `setMainSchemaURL(java.lang.String mainSchemaURL)` Sets the value of field 'mainSchemaURL'.
`void` | `setModuleName(java.lang.String moduleName)` Sets the value of field 'moduleName'.
`void` | `setModuleTitle(java.lang.String moduleTitle)` Sets the value of field 'moduleTitle'.
`void` | `setName(java.lang.String name)` Sets the value of field 'name'.
`void` | `setRoleID(java.lang.String roleID)` Sets the value of field 'roleID'.
`void` | `setRoleURI(java.lang.String roleURI)` Sets the value of field 'roleURI'.
`void` | `setStatementID(java.lang.String statementID)` Sets the value of field 'statementID'.
`static Statement` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Statement

    public Statement()

Method Detail

### addConceptMap

    public void addConceptMap(ConceptMap vConceptMap)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vConceptMap` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addConceptMap

    public void addConceptMap(int index,
                              ConceptMap vConceptMap)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vConceptMap` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### enumerateConceptMap

    public java.util.Enumeration<? extends ConceptMap> enumerateConceptMap()

  Method enumerateConceptMap.

  Returns:
    an Enumeration over all es.inteco.xbrl.lenlocpenloc.config.maps.ConceptMap elements

### getConceptMap

    public ConceptMap getConceptMap(int index)
                             throws java.lang.IndexOutOfBoundsException

  Method getConceptMap.

  Parameters:
    `index` -
  Returns:
    the value of the es.inteco.xbrl.lenlocpenloc.config.maps.ConceptMap at the given index
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### getConceptMap

    public ConceptMap[] getConceptMap()

  Method getConceptMap.Returns the contents of the collection in an Array.

  Note: Just in case the collection contents are changing in another thread, we pass a 0-length Array of the correct type into the API call. This way we know that the Array returned is of exactly the correct length.

  Returns:
    this collection as an Array

### getConceptMapCount

    public int getConceptMapCount()

  Method getConceptMapCount.

  Returns:
    the size of this collection

### getMainSchemaNamespace

    public java.lang.String getMainSchemaNamespace()

  Returns the value of field 'mainSchemaNamespace'.

  Returns:
    the value of field 'MainSchemaNamespace'.

### getMainSchemaPrefix

    public java.lang.String getMainSchemaPrefix()

  Returns the value of field 'mainSchemaPrefix'.

  Returns:
    the value of field 'MainSchemaPrefix'.

### getMainSchemaURL

    public java.lang.String getMainSchemaURL()

  Returns the value of field 'mainSchemaURL'.

  Returns:
    the value of field 'MainSchemaURL'.

### getModuleName

    public java.lang.String getModuleName()

  Returns the value of field 'moduleName'.

  Returns:
    the value of field 'ModuleName'.

### getModuleTitle

    public java.lang.String getModuleTitle()

  Returns the value of field 'moduleTitle'.

  Returns:
    the value of field 'ModuleTitle'.

### getName

    public java.lang.String getName()

  Returns the value of field 'name'.

  Returns:
    the value of field 'Name'.

### getRoleID

    public java.lang.String getRoleID()

  Returns the value of field 'roleID'.

  Returns:
    the value of field 'RoleID'.

### getRoleURI

    public java.lang.String getRoleURI()

  Returns the value of field 'roleURI'.

  Returns:
    the value of field 'RoleURI'.

### getStatementID

    public java.lang.String getStatementID()

  Returns the value of field 'statementID'. The field 'statementID' has the following description: Para uso en la creaciÃ³n de nombres de archivo

  Returns:
    the value of field 'StatementID'.

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### removeAllConceptMap

    public void removeAllConceptMap()

### removeConceptMap

    public boolean removeConceptMap(ConceptMap vConceptMap)

  Method removeConceptMap.

  Parameters:
    `vConceptMap` -
  Returns:
    true if the object was removed from the collection.

### removeConceptMapAt

    public ConceptMap removeConceptMapAt(int index)

  Method removeConceptMapAt.

  Parameters:
    `index` -
  Returns:
    the element removed from the collection

### setConceptMap

    public void setConceptMap(int index,
                              ConceptMap vConceptMap)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vConceptMap` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### setConceptMap

    public void setConceptMap(ConceptMap[] vConceptMapArray)

  Parameters:
    `vConceptMapArray` -

### setMainSchemaNamespace

    public void setMainSchemaNamespace(java.lang.String mainSchemaNamespace)

  Sets the value of field 'mainSchemaNamespace'.

  Parameters:
    `mainSchemaNamespace` - the value of field 'mainSchemaNamespace'.

### setMainSchemaPrefix

    public void setMainSchemaPrefix(java.lang.String mainSchemaPrefix)

  Sets the value of field 'mainSchemaPrefix'.

  Parameters:
    `mainSchemaPrefix` - the value of field 'mainSchemaPrefix'

### setMainSchemaURL

    public void setMainSchemaURL(java.lang.String mainSchemaURL)

  Sets the value of field 'mainSchemaURL'.

  Parameters:
    `mainSchemaURL` - the value of field 'mainSchemaURL'.

### setModuleName

    public void setModuleName(java.lang.String moduleName)

  Sets the value of field 'moduleName'.

  Parameters:
    `moduleName` - the value of field 'moduleName'.

### setModuleTitle

    public void setModuleTitle(java.lang.String moduleTitle)

  Sets the value of field 'moduleTitle'.

  Parameters:
    `moduleTitle` - the value of field 'moduleTitle'.

### setName

    public void setName(java.lang.String name)

  Sets the value of field 'name'.

  Parameters:
    `name` - the value of field 'name'.

### setRoleID

    public void setRoleID(java.lang.String roleID)

  Sets the value of field 'roleID'.

  Parameters:
    `roleID` - the value of field 'roleID'.

### setRoleURI

    public void setRoleURI(java.lang.String roleURI)

  Sets the value of field 'roleURI'.

  Parameters:
    `roleURI` - the value of field 'roleURI'.

### setStatementID

    public void setStatementID(java.lang.String statementID)

  Sets the value of field 'statementID'. The field 'statementID' has the following description: Para uso en la creaciÃ³n de nombres de archivo

  Parameters:
    `statementID` - the value of field 'statementID'.

### unmarshal

    public static Statement unmarshal(java.io.Reader reader)
                               throws org.exolab.castor.xml.MarshalException,
                                      org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled es.inteco.xbrl.lenlocpenloc.config.maps.Statement
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD